Redmine - Feature #24922

Support high resolution images in formatted content
2017-01-25 17:17 - Jan from Planio www.plan.io

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 3.4.0

Resolution: Fixed

Description

Today, many computers have high resolution displays (e.g. Apple's retina screens) and it would be nice if images embedded into
Redmine via the limage.png! syntax would make use of the higher resolution.

It has become quite common to use @2x in the filename of such hi-res images, e.g. image@2x.png would indicate that this image is
meant for a hi-res display with a device pixel ratio of 2. Similarly, @3x would be used for a DPR of 3.

Modern browsers support supplying these image files in img tags via the srcset attribute and will scale the images automatically on
hi-res displays.

The attached patch implements recognition of hi-res images by looking for @2x, @3x, etc. in the file name and will add a srcset
attribute accordingly.

As an example, have a look at this wiki page - the embedded images are using the mechanism and look crisp and sharp on hi-res
displays.

Related issues:
Related to Redmine - Feature #24927: Render high resolution Gravatars and Thu... Closed
Related to Redmine - Feature #11757: Add support for HDPI screens (retina) Closed

Associated revisions

Revision 16311 - 2017-01-30 20:37 - Jean-Philippe Lang
Add support for @2x, @3x, etc. hires images (#24922).

Patch by Jan Schulz-Hofen.

Revision 16312 - 2017-01-30 20:37 - Jean-Philippe Lang
Adds a test for #24922.

History

#1 - 2017-01-26 01:52 - Go MAEDA
- File screenshot-24922.png added
Thank you for the patch.

| am always annoyed whit this @2x images issue. When | attach screenshots which was taken with Mac, | have to half the resolution of the image
before upload to prevent the images are displayed at too large size.

With this patch, what | have to do is only renaming the file name to "*@2x.(jpg|png)". It would be great if the patch is merged.
http://stackoverflow.com/questions/8785643/what-exactly-is-device-pixel-ratio
http://caniuse.com/#feat=srcset
https://support.plan.io/projects/planio-support-en/wiki/Import_issues_into_Planio_via_CSV_files
#2 - 2017-01-26 01:55 - Go MAEDA

Most browsers even Microsoft Edge supports srcset attribute: http:/caniuse.com/#search=srcset

#3 - 2017-01-26 12:36 - Jan from Planio www.plan.io
- Related to Feature #24927: Render high resolution Gravatars and Thumbnails added

#4 - 2017-01-26 12:37 - Jan from Planio www.plan.io

Related: I've also provided patches for hi-res support in Gravatars and Thumbnails, see #24927.

#5 - 2017-01-26 14:35 - Go MAEDA
- Related to Feature #11757: Add support for HDPI screens (retina) added

#6 - 2017-01-29 04:42 - Go MAEDA

- Target version changed from Candidate for next minor release to 3.4.0

Setting target version to 3.4.0 along with #24927.

#7 - 2017-01-30 20:38 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed
http://caniuse.com/#search=srcset
https://www.redmine.org/issues/24927
https://www.redmine.org/issues/24927

Committed with a test, thanks.

Files
0001-Add-support-for-2x-3x-etc.-hires-images.patch 1.51 KB 2017-01-25 Jan from Planio www.plan.io
screenshot-24922.png 81.2 KB 2017-01-26 Go MAEDA
